Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogItemIterator

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.CatalogItemIterator

All Implemented Interfaces
  ViewIterator, Serializable

Direct Known Subclasses:
  CategoryItemIterator, CategoryIterator, OrphanedItemIterator, ProductItemIterator, SearchItemIterator, SiblingIterator, SubCategoryIterator

Deprecated See BEA Commerce product offering

    @Deprecated
    public abstract class CatalogItemIterator

extends Object
implements ViewIterator, Serializable

The `CatalogItemIterator` is an abstract base class that all catalog iterators must extend. This class should only be used by a single thread.

See Also
  `View`, `ViewIterator`, Serialized Form

Field Summary
`static int` | `DEFAULT_VIEW_SIZE` Deprecated See BEA Commerce product offering
`protected static boolean` | `VERBOSE` Deprecated See BEA Commerce product offering

Constructor Summary
`CatalogItemIterator(String managerJndiName, CatalogRequest catalogRequest, int numItems, int viewSize)` Deprecated See BEA Commerce product offering

Method Summary
`protected abstract CatalogItem` | `getCatalogItem(View view, int itemIndex)` Deprecated See BEA Commerce product offering
`protected CatalogManager` | `getCatalogManager()` Deprecated See BEA Commerce product offering
`protected CatalogQueryManager` | `getCatalogQueryManager()` Deprecated See BEA Commerce product offering
`protected CatalogRequest` | `getCatalogRequest()` Deprecated See BEA Commerce product offering
`protected CategoryManager` | `getCategoryManager()` Deprecated See BEA Commerce product offering
`View` | `getCurrentView()` Deprecated See BEA Commerce product offering
`protected CustomDataManager` | `getCustomDataManager()` Deprecated See BEA Commerce product offering
`protected ProductItemManager` | `getProductItemManager()` Deprecated See BEA Commerce product offering
`View` | `getViewAt(int index)` Deprecated See BEA Commerce product offering
`int` | `getViewCount()` Deprecated See BEA Commerce product offering
`void` | `gotoNextView()` Deprecated See BEA Commerce product offering
`void` | `gotoPreviousView()` Deprecated See BEA Commerce product offering
`void` | `gotoViewAt(int index)` Deprecated See BEA Commerce product offering
`boolean` | `hasNext()` Deprecated See BEA Commerce product offering
`boolean` | `hasNextView()` Deprecated See BEA Commerce product offering
`boolean` | `hasPreviousView()` Deprecated See BEA Commerce product offering
`Object` | `next()` Deprecated See BEA Commerce product offering
`protected abstract void` | `refreshView(View view)` Deprecated See BEA Commerce product offering
`int` | `size()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERBOSE

    protected static final boolean VERBOSE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### DEFAULT_VIEW_SIZE

    public static final int DEFAULT_VIEW_SIZE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### CatalogItemIterator

    public CatalogItemIterator(String managerJndiName,
                               CatalogRequest catalogRequest,
                               int numItems,
                               int viewSize)

  Deprecated See BEA Commerce product offering

  `CatalogItemIterator` constructor that takes the total number of spanned objects and a view size.

Method Detail

### getCatalogManager

    protected CatalogManager getCatalogManager()
                                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Throws
    `RemoteException`

### getProductItemManager

    protected ProductItemManager getProductItemManager()
                                                throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns
    the ProductItemManger for the CatalogManager associated with this ViewIterator.
  Throws
    `RemoteException` - on remote error.
  See Also
    `ProductItemManager`

### getCategoryManager

    protected CategoryManager getCategoryManager()
                                          throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns
    the CategoryManager for the CatalogManager associated with this ViewIterator.
  Throws
    `RemoteException` - on remote error.
  See Also
    `CategoryManager`

### getCatalogQueryManager

    protected CatalogQueryManager getCatalogQueryManager()
                                                  throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns
    the CatalogQueryManager for the CatalogManager associated with this ViewIterator.
  Throws
    `RemoteException` - on remote error.
  See Also
    `CatalogQueryManager`

### getCustomDataManager

    protected CustomDataManager getCustomDataManager()
                                              throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns
    the CustomDataManager for the CatalogManager associated with this ViewIterator.
  Throws
    `RemoteException` - on remote error.
  See Also
    `CustomDataManager`

### getCatalogRequest

    protected CatalogRequest getCatalogRequest()

  Deprecated See BEA Commerce product offering

  Returns
    the CatalogRequest for this ViewIterator.
  Throws
    `RemoteException` - on remote error.
  See Also
    `CatalogRequest`

### refreshView

    protected abstract void refreshView(View view)
                                 throws RemoteException

  Deprecated See BEA Commerce product offering

  This function is called whenever the current view needs to be refreshed. All classes that extend this class must implement this function.

  Parameters
    `view` - The view to refresh.
  Throws
    `RemoteException` - on remote error.

### getCatalogItem

    protected abstract CatalogItem getCatalogItem(View view,
                                                  int itemIndex)
                                           throws NoSuchElementException

  Deprecated See BEA Commerce product offering

  Returns a CatalogItem within the current view. All classes that extend this class must implement this function.

  Parameters
    `view` - The current view.
    `itemIndex` - The index of the item to retrieve.
  Throws
    `NoSuchElementException` - If the item does not exist.

### size

    public final int size()

  Deprecated See BEA Commerce product offering

  Returns the number of objects over which the iterator spans. This number is guaranteed to only be accurate at the time of iterator creation.

  Specified by:
    `size` in interface `ViewIterator`
  Returns
    The number of spanned objects.

### hasNext

    public final boolean hasNext()

  Deprecated See BEA Commerce product offering

  Returns `true` if the iterator has more elements.

  Specified by:
    `hasNext` in interface `ViewIterator`
  Returns
    `true` if the iterator has more elements.

### next

    public Object next()
                throws NoSuchElementException,
                       RemoteException

  Deprecated See BEA Commerce product offering

  Returns the next element in the iteration.

  Specified by:
    `next` in interface `ViewIterator`
  Returns
    the next element in the iteration.
  Throws
    `RemoteException` - on remote error.
    `NoSuchElementException` - if the iteration has no more elements.

### getViewCount

    public final int getViewCount()

  Deprecated See BEA Commerce product offering

  Returns the number of views spanned by this iterator.

  Specified by:
    `getViewCount` in interface `ViewIterator`
  Returns
    the number of views spanned by this iterator.

### getCurrentView

    public final View getCurrentView()

  Deprecated See BEA Commerce product offering

  Returns the current view.

  Specified by:
    `getCurrentView` in interface `ViewIterator`
  Returns
    The current view.

### getViewAt

    public final View getViewAt(int index)
                         throws IndexOutOfBoundsException

  Deprecated See BEA Commerce product offering

  Gets the view at the specified index.

  Specified by:
    `getViewAt` in interface `ViewIterator`
  Parameters
    `index` - The index of the desired view.
  Returns
    The view at the specified index.
  Throws
    `IndexOutOfBoundsException` - if the index is invalid.

### hasNextView

    public final boolean hasNextView()

  Deprecated See BEA Commerce product offering

  Returns `true` if the iterator has a next view.

  Specified by:
    `hasNextView` in interface `ViewIterator`
  Returns
    `true` if the iterator has a next view.

### hasPreviousView

    public final boolean hasPreviousView()

  Deprecated See BEA Commerce product offering

  Returns `true` if the iterator has a previous view.

  Specified by:
    `hasPreviousView` in interface `ViewIterator`
  Returns
    `true` if the iterator has a previous view.

### gotoNextView

    public final void gotoNextView()
                            throws NoSuchViewException

  Deprecated See BEA Commerce product offering

  Moves the iterator to the next view.

  Specified by:
    `gotoNextView` in interface `ViewIterator`
  Throws
    `NoSuchViewException` - if the iterator does not have a next view.

### gotoPreviousView

    public final void gotoPreviousView()
                                throws NoSuchViewException

  Deprecated See BEA Commerce product offering

  Moves the iterator to the previous view.

  Specified by:
    `gotoPreviousView` in interface `ViewIterator`
  Throws
    `NoSuchViewException` - if the iterator does not have a previous view.

### gotoViewAt

    public final void gotoViewAt(int index)
                          throws NoSuchViewException

  Deprecated See BEA Commerce product offering

  Moves the iterator to the view at the specified index.

  Specified by:
    `gotoViewAt` in interface `ViewIterator`
  Parameters
    `index` - The index of the desired view.
  Throws
    `NoSuchViewException` - if the index is invalid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved